@ECHO OFF
IF "%1"=="/?" GOTO DISPLAYINFO

ECHO Update process started  on %DATE% %TIME%
IF EXIST ATTRIB -R -A -S VEB.EXE
COPY AMITOOLS\VEB.EXE VEB.EXE >NUL
VeB UPDATE.VEB
IF EXIST VEB.EXE DEL VEB.EXE
DEL *.DAT >NUL
ECHO Update process finished on %DATE% %TIME%
ECHO.
GOTO EXIT

:DISPLAYINFO
CLS
ECHO.
ECHO           -----------------------------------------------
ECHO            AUTO UPDATE FOR AMITOOLS, ROMUTILS, TESTTOOLS
ECHO           -----------------------------------------------
ECHO.
ECHO.
ECHO The AUTO UPDATE process allows to update the tools received earlier from
ECHO American Megatrends,Inc. to build, test, and debug AMIBIOS8. This process
ECHO will allow to get updates for all directories mentioned below. A valid
ECHO Remote Source Safe (RSS) account has to be used to get access to the AMI
ECHO global library (CORE8_ATL).
ECHO.
ECHO.
ECHO Pre-Requisites:
ECHO.
ECHO a. The AUTO UPDATE process requires following directory structure
ECHO    CurrentDir\Update.BAT
ECHO    CurrentDir\Update.VEB
ECHO    CurrentDir\ReadMe.TXT
ECHO    CurrentDir\AMITools\VEB.EXE
ECHO    CurrentDir\AMITools\AMITools.CIF
ECHO    CurrentDir\RomUtils\Romutils.CIF
ECHO    CurrentDir\TestTools\TestTools.CIF
ECHO.
ECHO b. Keepy handy the Authentic UserName and Password to access RSS.
ECHO.
ECHO c. Set ALIASES in VeB. (Use VeB menu:Tools-Options-Aliases)
ECHO    e.g.: CORE8_ATL set to RSS:rsc.ami.com or RSS:rsc.ami.com.tw
ECHO.
ECHO NOTE: There may be delay to connect to AMI global library (CORE8_ATL)
ECHO       depending on your internet connection speed. Contact Sales at 
ECHO       American Megatrends, Inc. for additional queries.
ECHO.
ECHO !!!!! Refer to CurrentDir\ReadMe.TXT for UPDATE instructions !!!!!
ECHO.

:EXIT